Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BasicGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BasicGroup

Enclosing class:
  TdApi

public static final class TdApi.BasicGroup extends TdApi.Object
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`id`
Group identifier.
`boolean`
`isActive`
True, if the group is active.
`int`
`memberCount`
Number of members in the group.
`TdApi.ChatMemberStatus`
`status`
Status of the current user in the group.
`long`
`upgradedToSupergroupId`
Identifier of the supergroup to which this group was upgraded; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`BasicGroup()`
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).
`BasicGroup(long id, int memberCount, TdApi.ChatMemberStatus status, boolean isActive, long upgradedToSupergroupId)`
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).
`BasicGroup(DataInput input)`
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Group identifier.

### memberCount

public int memberCount
Number of members in the group.

### status

public TdApi.ChatMemberStatus status
Status of the current user in the group.

### isActive

public boolean isActive
True, if the group is active.

### upgradedToSupergroupId

public long upgradedToSupergroupId
Identifier of the supergroup to which this group was upgraded; 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BasicGroup

public BasicGroup()
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

### BasicGroup

public BasicGroup(long id, int memberCount, TdApi.ChatMemberStatus status, boolean isActive, long upgradedToSupergroupId)
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

Parameters:
  `id` - Group identifier.
  `memberCount` - Number of members in the group.
  `status` - Status of the current user in the group.
  `isActive` - True, if the group is active.
  `upgradedToSupergroupId` - Identifier of the supergroup to which this group was upgraded; 0 if none.

### BasicGroup

public BasicGroup(DataInput input) throws IOException
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`